## percona-toolkit 3.0.4+dfsg

=== src/go/Makefile ===
GO := go
pkgs   = $(shell find . -type d -name "pt-mongodb*" -exec basename {} \;)
VERSION="3.0.4" 
BUILD=$(shell date +%FT%T%z)
GOVERSION=$(shell go version | cut --delimiter=" " -f3)

PREFIX=$(shell pwd)
TOP_DIR=$(shell git rev-parse --show-toplevel)
BIN_DIR=$(shell git rev-parse --show-toplevel)/bin
SRC_DIR=$(shell git rev-parse --show-toplevel)/src/go
LDFLAGS="-X main.Version=${VERSION} -X main.Build=${BUILD} -X main.GoVersion=${GOVERSION} -s -w"

.PHONY: all style format build test vet tarball linux-amd64

linux-amd64: 
	@echo "Building linux/amd64 binaries in ${BIN_DIR}"
	@cd ${TOP_DIR} && glide update -v
	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)

linux-386: 
	@echo "Building linux/386 binaries in ${BIN_DIR}"
	@cd ${TOP_DIR} && glide update -v
	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)

darwin-amd64: 
	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
	@cd ${TOP_DIR} && glide update -v
	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
	@$(foreach pkg,$(pkgs),GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@./runtests.sh

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

## percona-toolkit 1.0.1

=== debian/changelog ===
percona-toolkit (1.0.1-3) unstable; urgency=low

  * 000-pt-table-sync-use-of-uninitialized-value-3055.diff:
    Fix for "Use of uninitialized value $args{"chunk_range"} ..."
    (Closes: #650409)

 -- Dario Minnucci <midget@debian.org>  Tue, 29 Nov 2011 17:24:12 +0100

percona-toolkit (1.0.1-2) unstable; urgency=low

  * debian/copyright: Percona Inc. email addess updated.
  * debian/patches/000-pt-tcp-model-broken-for-type-requests.diff:
    Fix for pt-tcp-model brekages when used with --type=requests
    option. Thanks to Kristian Grønfeldt Sørensen for the patch and
    Daniel Nichter for confirmation. (Closes: 648820)

 -- Dario Minnucci <midget@debian.org>  Fri, 18 Nov 2011 03:10:04 +0100

percona-toolkit (1.0.1-1) unstable; urgency=low

  [Dario Minnucci]
  * Initial release (Closes: #642344)
  * debian/copyright: Updated.
  * debian/watch: Added.
  * debian/patches:
    + 000-docs-percona-toolkit.pod-fix-manpage-has-bad-whatis-entry.diff
    + 000-Makefile.PL-fix-manpage-section-mismatch.diff

 -- Dario Minnucci <midget@debian.org>  Thu, 22 Sep 2011 23:59:56 +0200

=== debian/control ===
Source: percona-toolkit
Section: utils
Priority: optional
Maintainer: Dario Minnucci <midget@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: perl
Standards-Version: 3.9.2
Homepage: http://www.percona.com/software/percona-toolkit
Vcs-Git: git://git.debian.org/collab-maint/percona-toolkit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/percona-toolkit.git;a=summary

Package: percona-toolkit
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb
Replaces: maatkit
Conflicts: maatkit
Description: Command-line tools for MySQL and system tasks
 Percona Toolkit is a collection of advanced command-line tools to
 perform a variety of MySQL and system tasks that are too difficult
 or complex to perform manually, including:
 .
  - Verify master and replica data consistency
  - Efficiently archive rows
  - Find duplicate indexes
  - Summarize MySQL servers
  - Analyze queries from logs and tcpdump
  - Collect vital system information when problems occur

=== debian/watch ===
version=3

http://www.percona.com/downloads/percona-toolkit/
	http://www.percona.com/redir/downloads/percona-toolkit/percona-toolkit-(.+).tar.gz

## percona-toolkit 2.0.2

=== debian/changelog ===
percona-toolkit (2.0.2-1) unstable; urgency=low

  * New upstream release (2.0.2) 
  * debian/patches:
    - Drop 000-pt-tcp-model-broken-for-type-requests.diff (Fixed upstream)
    - 000-Makefile.PL-fix-manpage-section-mismatch.diff (Updated)

 -- Dario Minnucci <midget@debian.org>  Mon, 09 Jan 2012 17:10:35 +0100

## percona-toolkit 2.0.3

=== debian/changelog ===
percona-toolkit (2.0.3-1) unstable; urgency=low

  * debian/watch: Updated to match new download URL. 
  * debian/patches:
    - 000-Makefile.PL-fix-manpage-section-mismatch.diff: Refreshed.
    - 000-pt-table-sync-use-of-uninitialized-value-3055.diff: Dropped, 
      applied upstream.

 -- Dario Minnucci <midget@debian.org>  Fri, 10 Feb 2012 23:27:39 +0100

## percona-toolkit 2.0.4

=== debian/changelog ===
percona-toolkit (2.0.4-1) unstable; urgency=low

  * New upstream release (2.0.4) 
  * debian/patches:
    - 000-Makefile.PL-fix-manpage-section-mismatch.diff: Refreshed
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no changes)
    - Update Build-Depends to use debhelper (>= 9)

 -- Dario Minnucci <midget@debian.org>  Sat, 10 Mar 2012 08:40:03 +0100

=== debian/watch ===
version=3

http://www.percona.com/downloads/percona-toolkit/ /downloads/percona-toolkit/(.+)/

## percona-toolkit 2.1.2

=== debian/changelog ===
percona-toolkit (2.1.2-1) unstable; urgency=low

  * New upstream release (2.1.2)
  * debian/watch: Changes to match only versions starting with digits.
  * debian/patches: Drop patches (applied upstream)
    - 000-Makefile.PL-fix-manpage-section-mismatch.diff
    - 000-docs-percona-toolkit.pod-fix-manpage-has-bad-whatis-entry.diff

 -- Dario Minnucci <midget@debian.org>  Fri, 15 Jun 2012 23:10:40 +0200

percona-toolkit (2.1.1-1) unstable; urgency=low

  * New upstream release (2.1.1) 

 -- Dario Minnucci <midget@debian.org>  Sat, 07 Apr 2012 00:25:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Dario Minnucci <midget@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: git://git.debian.org/collab-maint/percona-toolkit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/percona-toolkit.git;a=summary

## percona-toolkit 2.1.8

=== debian/changelog ===
percona-toolkit (2.1.8-1) unstable; urgency=low

  * New upstream release (2.1.8) (Closes: #698185)

 -- Dario Minnucci <midget@debian.org>  Mon, 21 Jan 2013 17:36:54 +0100

percona-toolkit (2.1.7-1) unstable; urgency=low

  * New upstream release (2.1.7)

 -- Dario Minnucci <midget@debian.org>  Tue, 20 Nov 2012 12:33:11 +0100

percona-toolkit (2.1.6-1) unstable; urgency=low

  * New upstream release (2.1.6) (Closes: #693389)

 -- Dario Minnucci <midget@debian.org>  Mon, 19 Nov 2012 18:34:08 +0100

percona-toolkit (2.1.5-1) unstable; urgency=low

  * New upstream release (2.1.5)

 -- Dario Minnucci <midget@debian.org>  Wed, 17 Oct 2012 05:02:22 +0200

percona-toolkit (2.1.4-1) unstable; urgency=low

  * New upstream release (2.1.4) (Closes: #689061)

 -- Dario Minnucci <midget@debian.org>  Sun, 30 Sep 2012 20:43:04 +0200

percona-toolkit (2.1.3-1) unstable; urgency=low

  * New upstream release (2.1.3)

 -- Dario Minnucci <midget@debian.org>  Fri, 10 Aug 2012 20:19:08 +0200

## percona-toolkit 2.2.4

=== debian/changelog ===
percona-toolkit (2.2.4-1) unstable; urgency=low

  * New upstream release (2.2.4)

 -- Dario Minnucci <midget@debian.org>  Mon, 22 Jul 2013 12:54:30 +0200

percona-toolkit (2.2.3-1) unstable; urgency=low

  * New upstream release (2.2.3)

 -- Dario Minnucci <midget@debian.org>  Tue, 25 Jun 2013 00:12:07 +0200

percona-toolkit (2.2.2-1) unstable; urgency=low

  * New upstream release (2.2.2)

 -- Dario Minnucci <midget@debian.org>  Mon, 06 May 2013 23:50:29 +0200

percona-toolkit (2.2.1-1) unstable; urgency=low

  * New upstream release (2.2.1)
  * debian/patches/001-spelling-error-in-manpages.diff: Fix for error
    in manpages. Thanks to Benjamin Kerensa. (Closes: #698116)
  * debian/control: Canonical name in Vcs-Git and Vcs-Browser fields

 -- Dario Minnucci <midget@debian.org>  Wed, 20 Mar 2013 17:36:59 +0100

percona-toolkit (2.1.9-1) unstable; urgency=low

  * New upstream release (2.1.9)
  * debian/copyright: Years updated
  * debian/control: Bump Standards-Version to 3.9.4 (no changes)

 -- Dario Minnucci <midget@debian.org>  Thu, 21 Feb 2013 02:04:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.percona.com/software/percona-toolkit
-Vcs-Git: git://git.debian.org/collab-maint/percona-toolkit.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/percona-toolkit.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/percona-toolkit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/percona-toolkit.git;a=summary
 
 Package: percona-toolkit
 Architecture: all

## percona-toolkit 2.2.5

=== debian/changelog ===
percona-toolkit (2.2.5-1) unstable; urgency=low

  * New upstream release (2.2.5)

 -- Dario Minnucci <midget@debian.org>  Mon, 21 Oct 2013 11:21:06 +0200

## percona-toolkit 2.2.7

=== debian/changelog ===
percona-toolkit (2.2.7-1~dfsg1) unstable; urgency=high

  * New upstream release (2.2.7)
  * Sources repacked to remove provided 'debian' directory. Package 
    tagged as '~dfsg1'
  * Fix for CVE-2014-2029: --version-check behaves like spyware.
    (Closes: #740846)

 -- Dario Minnucci <midget@debian.org>  Wed, 05 Mar 2014 21:32:01 +0100

percona-toolkit (2.2.6-1) unstable; urgency=low

  * New upstream release (2.2.6)
  * debian/control: Bump Standards-Version to 3.9.5 (no changes)

 -- Dario Minnucci <midget@debian.org>  Mon, 23 Dec 2013 17:37:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: git://anonscm.debian.org/collab-maint/percona-toolkit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/percona-toolkit.git;a=summary

=== debian/watch ===
version=3
http://www.percona.com/downloads/percona-toolkit/ /downloads/percona-toolkit/(\d.*)/

## percona-toolkit 2.2.8

=== debian/changelog ===
percona-toolkit (2.2.8) unstable; urgency=low

  * Removed pt-agent
  * Added pt-slave-restart GTID support
  * Added pt-table-checksum --plugin
  * Fixed bug 1304062: --ignore-tables does not work correctly
  * Fixed bug 1295667: pt-deadlock-logger logs incorrect ts
  * Fixed bug 1254233: pt-mysql-summary blank InnoDB section for 5.6
  * Fixed bug 1286250: pt-online-schema-change requests password twice
  * Fixed bug  965553: pt-query-digest dosn't fingerprint true/false literals correctly
  * Fixed bug  290911: pt-show-grant --ask-pass prints "Enter password" to STDOUT

 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Fri, 30 May 2014 16:14:53 +0000

percona-toolkit (2.2.7) unstable; urgency=low

  * Fixed bug 1279502: --version-check behaves like spyware

 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 20 Feb 2014 08:09:53 +0000

percona-toolkit (2.2.6) unstable; urgency=low

  * Added pt-query-digest support for Percona Server slow log rate limiting
  * Added pt-agent --ping
  * Added pt-mysql-summary --all-databases
  * Added pt-stalk --sleep-collect
  * Added pt-table-sync --[no]check-child-tables
  * Fixed bug 1249150: PTDEBUG prints some info to STDOUT
  * Fixed bug 1248363: pt-agent requires restart after changing MySQL options
  * Fixed bug 1248778: pt-agent --install on PXC is not documented
  * Fixed bug 1250973: pt-agent --install doesn't check for previous install
  * Fixed bug 1250968: pt-agent --install suggest MySQL user isn't quoted
  * Fixed bug 1251004: pt-agent --install error about slave is confusing
  * Fixed bug 1251726: pt-agent --uninstall fails if agent is running
  * Fixed bug 1248785: pt-agent docs don't list privs required for its MySQL user
  * Fixed bug 1215016: pt-deadlock-logger docs use pt-fk-error-logger
  * Fixed bug 1201443: pt-duplicate-key-checker error when EXPLAIN key_len=0
  * Fixed bug 1217013: pt-duplicate-key-checker misses exact duplicate unique indexes
  * Fixed bug 1214685: pt-mysql-summary schema dump prompt can't be disabled
  * Fixed bug 1195628: pt-online-schema-change gets stuck looking for its own _new table
  * Fixed bug 1249149: pt-query-digest stats prints to STDOUT instead of STDERR
  * Fixed bug 1071979: pt-stak error parsing df with NFS
  * Fixed bug 1223458: pt-table-sync deletes child table rows

 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Wed, 18 Dec 2013 23:50:43 +0000

percona-toolkit (2.2.5) unstable; urgency=low

  * Added Query_time histogram bucket counts to pt-query-digest JSON output
  * Added pt-online-schema-change --[no]drop-triggers option
  * Fixed bug #1199589: pt-archiver deletes data despite --dry-run
  * Fixed bug #944051: pt-table-checksum has ambiguous exit status
  * Fixed bug #1209436: pt-kill --log-dsn may not work on Perl 5.8
  * Fixed bug #1210537: pt-table-checksum --recursion-method=cluster crashes if no nodes are found
  * Fixed bug #1215608: pt-online-schema-change new table suffix is hard-coded
  * Fixed bug #1229861: pt-table-sync quotes float values, can't sync
  * Fixed bug #821692: pt-query-digest doesn't distill LOAD DATA correctly
  * Fixed bug #984053: pt-query-digest doesn't distill INSERT/REPLACE without INTO correctly
  * Fixed bug #1206728: pt-deadlock-logger 2.2 requires DSN on command line
  * Fixed bug #1226721: pt-agent on CentOS 5 fails to send data
  * Fixed bug #821690: pt-query-digest doesn't distill IF EXISTS correctly
  * Fixed bug #1206677: pt-agent docs reference clodu.percona.com
  
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 17 Oct 2013 05:00:27 +0000

percona-toolkit (2.2.3) unstable; urgency=low

  * Added new tool: pt-agent
  * Fixed bug 1188002: pt-online-schema-change causes "ERROR 1146 (42S02): Table 'db._t_new' doesn't exist"

 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Mon, 17 Jun 2013 07:07:54 +0000

percona-toolkit (2.2.2) unstable; urgency=low

  * Added --show-all to pt-query-digest
  * Added --recursion-method=cluster to pt-table-checksum
  * Fixed bug 1127450: pt-archiver --bulk-insert may corrupt data
  * Fixed bug 1163372: pt-heartbeat --utc --check always returns 0
  * Fixed bug 1156901: pt-query-digest --processlist reports duplicate queries for replication thread
  * Fixed bug 1160338: pt-query-digest 2.2 prints unwanted debug info on tcpdump parsing errors
  * Fixed bug 1160918: pt-query-digest 2.2 prints too many string values
  * Fixed bug 1156867: pt-stalk prints the wrong variable name in verbose mode when --function is used
  * Fixed bug 1081733: pt-stalk plugins can't access the real --prefix
  * Fixed bug 1099845: pt-table-checksum pxc same_node function incorrectly uses wsrep_sst_receive_address
  * Fixed bug  821502: Some tools don't have --help or --version
  * Fixed bug  947893: Some tools use @@hostname without /*!50038*/
  * Fixed bug 1082406: An explicitly set wsrep_node_incoming_address may make SHOW STATUS LIKE 'wsrep_incoming_addresses' return a portless address

 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Wed, 24 Apr 2013 23:23:00 +0000

percona-toolkit (2.2.1) unstable; urgency=low

  * Official support for MySQL 5.6
  * Official support for Percona XtraDB Cluster
  * Redesigned pt-query-digest
  * Redesigned pt-upgrade
  * Redesigned pt-fk-error-logger
  * Redesigned pt-deadlock-logger
  * Changed --set-vars in all tools
  * Renamed --retries to --tries in pt-online-schema-change
  * Added --check-read-only to pt-heartbeat
  * Added MySQL options to pt-mysql-summary
  * Added MySQL options to pt-stalk
  * Removed --lock-wait-timeout from pt-online-schema-change (use --set-vars)
  * Removed --lock-wait-timeout from pt-table-checksum (use --set-vars)
  * Removed pt-query-advisor
  * Removed pt-tcp-model
  * Removed pt-trend
  * Removed pt-log-player
  * Enabled --version-check by default in all tools
  * Fixed bug 1008796: Several tools don't have --database
  * Fixed bug 1087319: Quoter::serialize_list() doesn't handle multiple NULL values


## percona-toolkit 2.2.9

=== debian/changelog ===
percona-toolkit (2.2.9-1~dfsg1) unstable; urgency=medium

  * New upstream release (2.2.9)
  * Sources repacked to remove provided 'debian' directory. Package
    tagged as '~dfsg1'

 -- Dario Minnucci <midget@debian.org>  Thu, 10 Jul 2014 18:01:36 +0200

percona-toolkit (2.2.8-1~dfsg1) unstable; urgency=medium

  * New upstream release (2.2.8)
  * Sources repacked to remove provided 'debian' directory. Package
    tagged as '~dfsg1'

 -- Dario Minnucci <midget@debian.org>  Wed, 04 Jun 2014 17:39:15 +0200

## percona-toolkit 2.2.10

=== debian/changelog ===
percona-toolkit (2.2.10-1) unstable; urgency=medium

  * New upstream release (2.2.10)
  * debian/copyright: Copyright years update

 -- Dario Minnucci <midget@debian.org>  Sun, 17 Aug 2014 00:39:16 +0200

## percona-toolkit 2.2.11

=== debian/changelog ===
percona-toolkit (2.2.11-1~dfsg1) unstable; urgency=medium

  * New upstream release (2.2.11)
  * Sources repacked to remove provided 'debian' directory. Package
    tagged as '~dfsg1'

 -- Dario Minnucci <midget@debian.org>  Fri, 26 Sep 2014 21:53:20 +0200

## percona-toolkit 2.2.13

=== debian/changelog ===
percona-toolkit (2.2.13-1) unstable; urgency=medium

  * New upstream release (2.2.13)

 -- Dario Minnucci <midget@debian.org>  Wed, 04 Feb 2015 19:03:23 +0100

percona-toolkit (2.2.12-1) unstable; urgency=medium

  * New upstream release (2.2.12)
  * debian/control: Bump Standards-Version to 3.9.6 (no changes)
  * debian/copyright: Update copyright years
  * debian/watch: Fix download URL

 -- Dario Minnucci <midget@debian.org>  Tue, 27 Jan 2015 16:49:41 +0100

## percona-toolkit 2.2.14

=== debian/changelog ===
percona-toolkit (2.2.14-1) unstable; urgency=low

  * New upstream release (2.2.14)
  * debian/copyright:
    - Remove paragraph refering to no longer distributed 'pt-collect'
    - Remove paragraph refering to no longer distributed 'pt-log-player'
    - Remove paragraph refering to no longer distributed 'pt-query-advisor'
    - Remove paragraph refering to no longer distributed 'pt-tcp-model'
    - Remove paragraph refering to no longer distributed 'pt-trend'

 -- Dario Minnucci <midget@debian.org>  Thu, 16 Apr 2015 12:20:34 +0200

## percona-toolkit 2.2.16

=== debian/changelog ===
percona-toolkit (2.2.16-1) unstable; urgency=low

  * New upstream release (2.2.16)

 -- Dario Minnucci <midget@debian.org>  Tue, 10 Nov 2015 13:52:15 +0100

percona-toolkit (2.2.15-1) unstable; urgency=low

  * New upstream release (2.2.15)

 -- Dario Minnucci <midget@debian.org>  Wed, 09 Sep 2015 13:50:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: git://anonscm.debian.org/collab-maint/percona-toolkit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/percona-toolkit.git;a=summary

=== debian/watch ===
version=3
http://www.percona.com/downloads/percona-toolkit/ /downloads/percona-toolkit/(.*)/tarball/.*\.tar\.gz

## percona-toolkit 2.2.18

=== debian/changelog ===
percona-toolkit (2.2.18-1) unstable; urgency=low

  * New upstream release (2.2.18)

 -- Dario Minnucci <midget@debian.org>  Thu, 28 Jul 2016 11:06:11 +0200

percona-toolkit (2.2.17-1) unstable; urgency=low

  * New upstream release (2.2.17)
  * debian/control: Bump Standards-Version to 3.9.8 (no changes)
  * debian/copyright: Update copyright years

 -- Dario Minnucci <midget@debian.org>  Sun, 08 May 2016 15:25:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: git://anonscm.debian.org/collab-maint/percona-toolkit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/percona-toolkit.git;a=summary

## percona-toolkit 2.2.20

=== debian/changelog ===
percona-toolkit (2.2.20-1) unstable; urgency=medium

  * New upstream release (2.2.20)
  * Remove patch debian/patches/001-spelling-error-in-manpages.diff.
    Applied upstream.

 -- Dario Minnucci <midget@debian.org>  Mon, 02 Jan 2017 14:51:07 +0100

percona-toolkit (2.2.19-1) unstable; urgency=medium

  * New upstream release (2.2.19)
  * Add preconfigured /etc/percona-toolkit/percona-toolkit.conf file 
    to disable the 'version-check' functionality which is enabled by
    default in upstream code. 
    This method is valid to disable the 'version-check' functionality
    on other percona-toolkit versions. (Closes: #826728)
  * debian/control:
    - Fix Vcs-Git and Vcs-Browser URLs

 -- Dario Minnucci <midget@debian.org>  Tue, 22 Nov 2016 15:11:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends-Indep: perl
 Standards-Version: 3.9.8
 Homepage: http://www.percona.com/software/percona-toolkit
-Vcs-Git: git://anonscm.debian.org/collab-maint/percona-toolkit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/percona-toolkit.git;a=summary
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/percona-toolkit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/percona-toolkit.git/
 
 Package: percona-toolkit
 Architecture: all

## percona-toolkit 3.0.4+dfsg

=== debian/changelog ===
percona-toolkit (3.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release (3.0.4)
  * Repack original tarball to remove some files and dirs:
    - .git
    - .gitignore
  * debian/control:
    - Add dependency on fdisk | util-linux (<< 2.29.2-3~)
      Thanks to Andreas Henriksson. (Closes: 872214)

 -- Dario Minnucci <midget@debian.org>  Sat, 19 Aug 2017 03:37:31 +0200

percona-toolkit (3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release (3.0.3)
  * Repack original tarball to remove some files and dirs:
    - .git
    - .gitignore
    - config/deb/control.bak
    - config/rpm/percona-toolkit.spec.bak
  * debian/copyright: Update copyright years and other fixes.

 -- Dario Minnucci <midget@debian.org>  Fri, 04 Aug 2017 21:04:00 +0200

percona-toolkit (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release (3.0.2)
  * Repack original tarball to remove .git metadata (.git directory 
    and .gitignore file)
  * debian/watch:
    - Look for sources under GitHub
    - Add dversionmangle option to ignore '+dfsg' part
  * debian/control:
    - Bump Standards-Version to 4.0.0 (no changes)
    - Bump debhelper compatibility to 10
  * debian/missing-sources:
    - Add sources for jQuery 1.4.2

 -- Dario Minnucci <midget@debian.org>  Sat, 29 Jul 2017 16:10:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Dario Minnucci <midget@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/percona-toolkit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/percona-toolkit.git/
 
 Package: percona-toolkit
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb
+Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb, fdisk | util-linux (<< 2.29.2-3~)
 Replaces: maatkit
 Conflicts: maatkit
 Description: Command-line tools for MySQL and system tasks

## percona-toolkit 3.0.6%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: perl
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.percona.com/software/percona-toolkit
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/percona-toolkit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/percona-toolkit.git/
+Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
+Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit
 
 Package: percona-toolkit
 Architecture: all

## percona-toolkit 3.0.6+dfsg

=== src/go/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 GO := go
 pkgs   = $(shell find . -type d -name "pt-mongodb*" -exec basename {} \;)
-VERSION="3.0.4" 
+VERSION="3.0.6" 
 BUILD=$(shell date +%FT%T%z)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
+GOUTILSDIR ?= $(GOPATH)/bin
 
 PREFIX=$(shell pwd)
 TOP_DIR=$(shell git rev-parse --show-toplevel)
@@ -12,21 +13,24 @@
 
 .PHONY: all style format build test vet tarball linux-amd64
 
+$(GOUTILSDIR)/dep:
+	go get -u github.com/golang/dep/cmd/dep
+
 linux-amd64: 
 	@echo "Building linux/amd64 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && glide update -v
+	@cd ${TOP_DIR} && dep ensure
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
 linux-386: 
 	@echo "Building linux/386 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && glide update -v
+	@cd ${TOP_DIR} && dep ensure
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
 darwin-amd64: 
 	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && glide update -v
+	@cd ${TOP_DIR} && dep ensure
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)

=== debian/changelog ===
percona-toolkit (3.0.6+dfsg-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.1.3:
      - debian/patches/00-fix-perl-shebang.diff: Fix perl shebangs.

 -- Dario Minnucci <midget@debian.org>  Wed, 14 Feb 2018 13:32:59 +0100

percona-toolkit (3.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release (3.0.6)
  * Repack original tarball to remove some files and dirs:
    - .git
    - .gitignore
    - .travis.yml
    - util/mysql_random_data_loader_linux_amd64
  * debian/control: 
    - Move git repo to 'salsa.debian.org'.
      Update Vcs-Git and Vcs-Browser fields.

 -- Dario Minnucci <midget@debian.org>  Tue, 13 Feb 2018 11:39:00 +0100

percona-toolkit (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release (3.0.5)
  * Repack original tarball to remove some files and dirs:
    - .git
    - .gitignore
    - .travis.yml
  * debian/control:
    - Bump Standards-Version to 4.1.1 (no changes)

 -- Dario Minnucci <midget@debian.org>  Sun, 26 Nov 2017 12:02:14 +0100

## percona-toolkit 3.0.8+dfsg

=== config/sphinx-build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../../docs/user
SOURCE        = ../../docs/user

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -c . -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCE)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	@echo "Downloading percona-theme ..."
	@wget -O percona-theme.tar.gz https://www.percona.com/docs/theme-1-4/percona-toolkit/2.2
	@rm -rf percona-theme
	@echo "Extracting theme."
	@tar -zxf percona-theme.tar.gz
	@mv percona-theme-1-4 percona-theme
	@rm percona-theme.tar.gz
	@echo "Building html doc"
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PerconaXtraBackup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PerconaXtraBackup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PerconaXtraBackup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PerconaXtraBackup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== src/go/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 GO := go
 pkgs   = $(shell find . -type d -name "pt-mongodb*" -exec basename {} \;)
-VERSION="3.0.6" 
+VERSION="3.0.8" 
 BUILD=$(shell date +%FT%T%z)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
 GOUTILSDIR ?= $(GOPATH)/bin

=== debian/changelog ===
percona-toolkit (3.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release (3.0.8)
  * Repack original tarball to remove some files and dirs:
    - .git
    - .gitignore
    - .travis.yml
    - util/mysql_random_data_loader_linux_amd64
    - util/version_cmp

 -- Dario Minnucci <midget@debian.org>  Sun, 18 Mar 2018 14:34:27 +0100

percona-toolkit (3.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release (3.0.7)
  * Repack original tarball to remove some files and dirs:
    - .git
    - .gitignore
    - .travis.yml
    - util/mysql_random_data_loader_linux_amd64
    - util/version_cmp

 -- Dario Minnucci <midget@debian.org>  Wed, 14 Mar 2018 15:25:14 +0100

## percona-toolkit 3.0.10-1

=== src/go/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 GO := go
-pkgs   = $(shell find . -type d -name "pt-mongodb*" -exec basename {} \;)
-VERSION="3.0.8" 
+pkgs   = $(shell find . -type d -name "pt-*" -exec basename {} \;)
+VERSION="3.0.10" 
 BUILD=$(shell date +%FT%T%z)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
 GOUTILSDIR ?= $(GOPATH)/bin

=== debian/changelog ===
percona-toolkit (3.0.10-1) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.0.10-1

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Mon, 21 May 2018 13:55:43 -0400

percona-toolkit (3.0.10) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Mon, 21 May 2018 13:55:43 -0400

## percona-toolkit 3.0.11

=== src/go/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 GO := go
 pkgs   = $(shell find . -type d -name "pt-*" -exec basename {} \;)
-VERSION="3.0.10" 
+VERSION="3.0.11" 
 BUILD=$(shell date +%FT%T%z)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
 GOUTILSDIR ?= $(GOPATH)/bin

=== debian/changelog ===
percona-toolkit (3.0.11-1) unstable; urgency=medium

  * New upstream release (3.0.11)

 -- Dario Minnucci <midget@debian.org>  Thu, 12 Jul 2018 16:12:04 +0200

percona-toolkit (3.0.10-1) unstable; urgency=medium

  * New upstream release (3.0.10)
  * debian/copyright: Update copyright years.

 -- Dario Minnucci <midget@debian.org>  Wed, 23 May 2018 18:46:33 +0200

percona-toolkit (3.0.9-1) unstable; urgency=medium

  * New upstream release (3.0.9)
  * debian/control:
    - Bump debhelper compatibility to 11
    - Bump Standards-Version to 4.1.4 (no changes)
  * debian/doc: Remove README file installation

 -- Dario Minnucci <midget@debian.org>  Thu, 03 May 2018 11:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Dario Minnucci <midget@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: perl
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
 Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit

## percona-toolkit 3.0.12-1

=== debian/changelog ===
percona-toolkit (3.0.12-1) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.0.12-1

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Thu, 13 Sep 2018 08:24:36 -0400

percona-toolkit (3.0.12) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 13 Sep 2018 08:24:36 -0400

## percona-toolkit 3.0.13

=== src/go/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 GO := go
 pkgs   = $(shell find . -type d -name "pt-*" -exec basename {} \;)
-VERSION="3.0.11" 
+VERSION="3.0.13" 
 BUILD=$(shell date +%FT%T%z)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
 GOUTILSDIR ?= $(GOPATH)/bin

=== debian/changelog ===
percona-toolkit (3.0.13-1) unstable; urgency=medium

  * New upstream release (3.0.13)
  * debian/control:
    - Bump Standards-Version to 4.3.0 (no changes)

 -- Dario Minnucci <midget@debian.org>  Sun, 03 Feb 2019 20:28:19 +0100

percona-toolkit (3.0.12-1) unstable; urgency=medium

  * New upstream release (3.0.12)
  * debian/control:
    - Bump Standards-Version to 4.2.1 (no changes)
  * debian/patches:
    - Add 01-fix-spelling-errors.diff to fix some spelling errors.
  * Fix some 'file-contains-trailing-whitespace' linian issues.
  * debian/tools:
    - Add maintainer script (create-upstream-release-notes.sh) to be able
      to install upstream's release notes under the package documentation
      directory (/usr/share/doc/percona-toolkit/RELEASENOTES)

 -- Dario Minnucci <midget@debian.org>  Tue, 18 Sep 2018 05:37:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dario Minnucci <midget@debian.org>
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: perl
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
 Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit
@@ -25,4 +25,3 @@
   - Summarize MySQL servers
   - Analyze queries from logs and tcpdump
   - Collect vital system information when problems occur
-

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
https://github.com/percona/percona-toolkit/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## percona-toolkit 3.0.13-1

=== debian/changelog ===
percona-toolkit (3.0.13-1) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.0.13-1

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Tue, 08 Jan 2019 13:39:19 -0500

percona-toolkit (3.0.13) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Tue, 08 Jan 2019 13:39:19 -0500

## percona-toolkit 3.1%2Bdfsg

=== debian/changelog ===
percona-toolkit (3.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2019 13:44:22 -0400

percona-toolkit (3.1+dfsg-1) unstable; urgency=medium

  * New upstream release (3.1)
  * Repack original tarball to remove binary: pt-mongodb-query-digest
  * debian/control:
    - Bump debhelper compatibility to 12
    - Bump Standards-Version to 4.4.0 (no changes)
  * debian/copyright:
    - Update copyright years.
    - Remove duplicated text on recurring licensed files.

 -- Dario Minnucci <midget@debian.org>  Fri, 27 Sep 2019 01:01:25 +0200

## percona-toolkit 3.1+dfsg

=== src/go/Makefile ===
--- 
+++ 
@@ -1,20 +1,108 @@
 GO := go
 pkgs   = $(shell find . -type d -name "pt-*" -exec basename {} \;)
-VERSION="3.0.13" 
+VERSION=$(shell git describe --abbrev=0 --tags)
 BUILD=$(shell date +%FT%T%z)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
+COMMIT=$(shell git rev-list -1 HEAD)
 GOUTILSDIR ?= $(GOPATH)/bin
 
 PREFIX=$(shell pwd)
 TOP_DIR=$(shell git rev-parse --show-toplevel)
 BIN_DIR=$(shell git rev-parse --show-toplevel)/bin
 SRC_DIR=$(shell git rev-parse --show-toplevel)/src/go
-LDFLAGS="-X main.Version=${VERSION} -X main.Build=${BUILD} -X main.GoVersion=${GOVERSION} -s -w"
+LDFLAGS="-X main.Version=${VERSION} -X main.Build=${BUILD} -X main.GoVersion=${GOVERSION} -X main.Commit=${COMMIT} -s -w"
+
+TEST_PSMDB_VERSION?=3.6
+TEST_MONGODB_FLAVOR?=percona/percona-server-mongodb
+TEST_MONGODB_ADMIN_USERNAME?=admin
+TEST_MONGODB_ADMIN_PASSWORD?=admin123456
+TEST_MONGODB_USERNAME?=test
+TEST_MONGODB_PASSWORD?=123456
+
+TEST_MONGODB_STANDALONE_PORT?=27017
+
+TEST_MONGODB_MONGOS_PORT?=17000
+
+TEST_MONGODB_S1_RS?=rs1
+TEST_MONGODB_S1_PRIMARY_PORT?=17001
+TEST_MONGODB_S1_SECONDARY1_PORT?=17002
+TEST_MONGODB_S1_SECONDARY2_PORT?=17003
+
+TEST_MONGODB_S2_RS?=rs2
+TEST_MONGODB_S2_PRIMARY_PORT?=17004
+TEST_MONGODB_S2_SECONDARY1_PORT?=17005
+TEST_MONGODB_S2_SECONDARY2_PORT?=17006
+
+TEST_MONGODB_CONFIGSVR_RS?=csReplSet
+TEST_MONGODB_CONFIGSVR1_PORT?=17007
+TEST_MONGODB_CONFIGSVR2_PORT?=17008
+TEST_MONGODB_CONFIGSVR3_PORT?=17009
+
+TEST_MONGODB_S3_RS?=rs3
+TEST_MONGODB_S3_PRIMARY_PORT?=17021
+TEST_MONGODB_S3_SECONDARY1_PORT?=17022
+TEST_MONGODB_S3_SECONDARY2_PORT?=17023
+
+AWS_ACCESS_KEY_ID?=
+AWS_SECRET_ACCESS_KEY?=
+
+MINIO_PORT=9000
+MINIO_ACCESS_KEY_ID=example00000
+MINIO_SECRET_ACCESS_KEY=secret00000
+export MINIO_ACCESS_KEY_ID
+export MINIO_SECRET_ACCESS_KEY
 
 .PHONY: all style format build test vet tarball linux-amd64
 
 $(GOUTILSDIR)/dep:
 	go get -u github.com/golang/dep/cmd/dep
+
+define TEST_ENV
+	AWS_ACCESS_KEY_ID=$(AWS_ACCESS_KEY_ID) \
+	AWS_SECRET_ACCESS_KEY=$(AWS_SECRET_ACCESS_KEY) \
+	GOCACHE=$(GOCACHE) \
+	GOLANG_DOCKERHUB_TAG=$(GOLANG_DOCKERHUB_TAG) \
+	TEST_MONGODB_ADMIN_USERNAME=$(TEST_MONGODB_ADMIN_USERNAME) \
+	TEST_MONGODB_ADMIN_PASSWORD=$(TEST_MONGODB_ADMIN_PASSWORD) \
+	TEST_MONGODB_USERNAME=$(TEST_MONGODB_USERNAME) \
+	TEST_MONGODB_PASSWORD=$(TEST_MONGODB_PASSWORD) \
+	TEST_MONGODB_S1_RS=$(TEST_MONGODB_S1_RS) \
+	TEST_MONGODB_STANDALONE_PORT=$(TEST_MONGODB_STANDALONE_PORT) \
+	TEST_MONGODB_S1_PRIMARY_PORT=$(TEST_MONGODB_S1_PRIMARY_PORT) \
+	TEST_MONGODB_S1_SECONDARY1_PORT=$(TEST_MONGODB_S1_SECONDARY1_PORT) \
+	TEST_MONGODB_S1_SECONDARY2_PORT=$(TEST_MONGODB_S1_SECONDARY2_PORT) \
+	TEST_MONGODB_S2_RS=$(TEST_MONGODB_S2_RS) \
+	TEST_MONGODB_S2_PRIMARY_PORT=$(TEST_MONGODB_S2_PRIMARY_PORT) \
+	TEST_MONGODB_S2_SECONDARY1_PORT=$(TEST_MONGODB_S2_SECONDARY1_PORT) \
+	TEST_MONGODB_S2_SECONDARY2_PORT=$(TEST_MONGODB_S2_SECONDARY2_PORT) \
+	TEST_MONGODB_S3_RS=$(TEST_MONGODB_S3_RS) \
+	TEST_MONGODB_S3_PRIMARY_PORT=$(TEST_MONGODB_S3_PRIMARY_PORT) \
+	TEST_MONGODB_S3_SECONDARY1_PORT=$(TEST_MONGODB_S3_SECONDARY1_PORT) \
+	TEST_MONGODB_S3_SECONDARY2_PORT=$(TEST_MONGODB_S3_SECONDARY2_PORT) \
+	TEST_MONGODB_CONFIGSVR_RS=$(TEST_MONGODB_CONFIGSVR_RS) \
+	TEST_MONGODB_CONFIGSVR1_PORT=$(TEST_MONGODB_CONFIGSVR1_PORT) \
+	TEST_MONGODB_CONFIGSVR2_PORT=$(TEST_MONGODB_CONFIGSVR2_PORT) \
+	TEST_MONGODB_CONFIGSVR3_PORT=$(TEST_MONGODB_CONFIGSVR3_PORT) \
+	TEST_MONGODB_MONGOS_PORT=$(TEST_MONGODB_MONGOS_PORT) \
+	TEST_PSMDB_VERSION=$(TEST_PSMDB_VERSION) \
+	TEST_MONGODB_FLAVOR=$(TEST_MONGODB_FLAVOR)
+endef
+
+env:
+	@echo $(TEST_ENV) | tr ' ' '\n' >.env
+
+test-cluster: env
+	TEST_PSMDB_VERSION=$(TEST_PSMDB_VERSION) \
+	docker-compose up \
+	--detach \
+	--force-recreate \
+	--always-recreate-deps \
+	--renew-anon-volumes \
+	init 
+	docker/test/init-cluster-wait.sh
+
+test-cluster-clean: env
+	docker-compose down -v
 
 linux-amd64: 
 	@echo "Building linux/amd64 binaries in ${BIN_DIR}"

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Dario Minnucci <midget@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep: perl
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.percona.com/software/percona-toolkit
 Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
 Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit

## percona-toolkit 3.1-1

=== debian/changelog ===
percona-toolkit (3.1-1) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.1-1

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Tue, 10 Sep 2019 09:46:02 -0400

percona-toolkit (3.1) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Tue, 10 Sep 2019 09:46:01 -0400

## percona-toolkit 3.1.0-2

=== debian/changelog ===
percona-toolkit (3.1.0-2) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.1.0-2

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Mon, 16 Sep 2019 06:24:27 -0400

percona-toolkit (3.1.0) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Mon, 16 Sep 2019 06:24:27 -0400

## percona-toolkit 3.2.0

=== debian/changelog ===
percona-toolkit (3.2.0-1) unstable; urgency=medium

  * New upstream release (3.2.0)
  * Refresh debian/patches/01-fix-spelling-errors.diff
  * Manually add fixes reported by Janitor's MR !1 at:
    https://salsa.debian.org/debian/percona-toolkit/-/merge_requests/1
    - Use secure URI in Homepage field.
    - Set debhelper-compat version in Build-Depends.
    - Update standards version to 4.5.0, no changes needed.

 -- Dario Minnucci <midget@debian.org>  Thu, 07 May 2020 01:37:32 +0200

## percona-toolkit 3.2.0-1

=== debian/changelog ===
percona-toolkit (3.2.0-1) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.2.0-1

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Thu, 23 Apr 2020 13:40:13 -0400

percona-toolkit (3.2.0) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 23 Apr 2020 13:40:13 -0400
